Package oracle.sql.json

## Interface OracleJsonString

All Superinterfaces:
  `OracleJsonValue`

    public interface OracleJsonString
    extends OracleJsonValue

A SQL/JSON string value.

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.sql.json.OracleJsonValue

`OracleJsonValue.OracleJsonType`

### Field Summary

### Fields inherited from interface oracle.sql.json.OracleJsonValue

`FALSE, NULL, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals​(java.lang.Object obj)` Compares the specified object with this `OracleJsonString`.
`CHAR` `getCHAR()` Returns this value as a `java.sql.CHAR`
`java.lang.CharSequence` `getChars()` Returns this value as a `CharSequence`.
`java.lang.String` `getString()` Returns this value as a `String`.
`int` `hashCode()` Returns a hash code that is equal to `getString().hashCode()`.

### Methods inherited from interface oracle.sql.json.OracleJsonValue

`asJsonArray, asJsonBinary, asJsonDate, asJsonDecimal, asJsonDouble, asJsonFloat, asJsonIntervalDS, asJsonIntervalYM, asJsonNumber, asJsonObject, asJsonString, asJsonTimestamp, asJsonTimestampTZ, asJsonVector, getOracleJsonType, toString, wrap`

### Method Detail

#### getString

    java.lang.String getString()

Returns this value as a `String`.

Returns:
  the string

#### getChars

    java.lang.CharSequence getChars()

Returns this value as a `CharSequence`.

Returns:
  the character sequence

#### getCHAR

    CHAR getCHAR()

Returns this value as a `java.sql.CHAR`

Returns:
  the CHAR value

#### hashCode

    int hashCode()

Returns a hash code that is equal to `getString().hashCode()`.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hash code

#### equals

    boolean equals​(java.lang.Object obj)

Compares the specified object with this `OracleJsonString`. Returns true if and only if the other object is an instance of `OracleJsonString` and `getString().equals(((OracleJsonString)obj).getString())`

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to be compared for equality
Returns:
  true if the specified object is equal to this `OracleJsonString`.